Bug 1260563 - CVE-2015-6816 ganglia: Bypassing Ganglia-web auth using boolean serialization [fedora-all]
CVE-2015-6816 ganglia: Bypassing Ganglia-web auth using boolean serialization...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ganglia (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-6816
  Show dependency treegraph
 
Reported: 2015-09-07 05:19 EDT by Adam Mariš
Modified: 2015-11-08 12:51 EST (History)
5 users (show)

See Also:
Fixed In Version: ganglia-3.7.2-6.fc21 ganglia-3.7.2-6.fc22 ganglia-3.7.2-6.fc23 ganglia-3.7.2-2.el7
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 12:20:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-09-07 05:19:23 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-09-07 05:19:27 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1260562,1260563

# Description of your update
notes=Security fix for CVE-2015-6816

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1260562,1260563
Comment 2 Fedora Update System 2015-10-11 13:35:11 EDT
ganglia-3.7.2-6.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-accdc7ebfc
Comment 3 Fedora Update System 2015-10-11 13:35:16 EDT
ganglia-3.7.2-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ee7a2b5844
Comment 4 Fedora Update System 2015-10-12 02:25:21 EDT
ganglia-3.7.2-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ganglia'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-de8ba28354
Comment 5 Fedora Update System 2015-10-12 17:16:19 EDT
ganglia-3.7.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a18f5f924d
Comment 6 Fedora Update System 2015-10-13 14:21:30 EDT
ganglia-3.7.2-6.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ganglia'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-accdc7ebfc
Comment 7 Fedora Update System 2015-10-13 14:21:52 EDT
ganglia-3.7.2-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ganglia'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ee7a2b5844
Comment 8 Fedora Update System 2015-10-14 09:48:09 EDT
ganglia-3.7.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update ganglia'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a18f5f924d
Comment 9 Fedora Update System 2015-10-23 12:20:21 EDT
ganglia-3.7.2-6.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-10-23 13:23:37 EDT
ganglia-3.7.2-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-10-31 22:41:53 EDT
ganglia-3.7.2-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-11-08 12:51:54 EST
ganglia-3.7.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.